%define		_class		I18N
%define		_status		beta
%define		_pearname	%{_class}

%define		_requires_exceptions pear(Translate)\\|pear(HTML/IT.php)

Summary:	%{_pearname} - internationalization package
Name:		php-pear-%{_pearname}
Version:	0.8.6
Release:	%mkrel 8
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
Patch0:		%{name}-path_fix.patch
Patch1:		I18N-0.8.6-package_xml_fix.diff
URL:		http://pear.php.net/package/I18N/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package supports you to localize your applications. Currently
multiple ways of supporting translation are implemented and methods to
determine the current users (browser-)language.

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c
%patch0 -p1
%patch1 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}/{Messages,Common}

install %{_pearname}-%{version}/*.php %{buildroot}%{_datadir}/pear/%{_class}
install %{_pearname}-%{version}/Messages/*.php %{buildroot}%{_datadir}/pear/%{_class}/Messages
install %{_pearname}-%{version}/Common/*.php %{buildroot}%{_datadir}/pear/%{_class}/Common

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/*
%dir %{_datadir}/pear/%{_class}
%dir %{_datadir}/pear/%{_class}/Messages/
%dir %{_datadir}/pear/%{_class}/Common/
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/%{_class}/Messages/*.php
%{_datadir}/pear/%{_class}/Common/*.php
%{_datadir}/pear/packages/%{_pearname}.xml

%changelog
* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-8mdk
- new group (Development/PHP)

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-7mdk
- rebuilt to fix auto deps

* Tue Aug 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Wed Aug 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-5mdk
- fix the package.xml file

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-4mdk
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdk
- fix deps

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-1mdk
- initial Mandriva package (PLD import)
